<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="vm"
            type="com.appetiser.appetiserchallenge.j.features.viewlist.ItunesListViewModel" />

    </data>

    <LinearLayout
        android:orientation="vertical"
        android:layout_height="match_parent"
        android:layout_width="match_parent">

        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:background="@color/colorAccent"
            xmlns:tools="http://schemas.android.com/tools"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:context=".ituneslist.ItunesListActivity">

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/swipe_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/itunes_recycler"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    app:layout_behavior="android.support.design.widget.AppBarLayout$ScrollingViewBehavior"
                    tools:listitem="@layout/list_tunes_item"/>

            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        </androidx.coordinatorlayout.widget.CoordinatorLayout>

    </LinearLayout>

</layout>